This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 913877 - anyterm: FTBFS in rawhide
anyterm: FTBFS in rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anyterm (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alexander Boström
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F19FTBFS
  Show dependency treegraph
 
Reported: 2013-02-22 04:09 EST by Dennis Gilmore
Modified: 2013-02-23 12:47 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-23 12:47:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2013-02-22 04:09:16 EST
Your package anyterm failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=4957193

Build logs:
root.log: http://kojipkgs.fedoraproject.org/work/tasks/7193/4957193/root.log
build.log: http://kojipkgs.fedoraproject.org/work/tasks/7193/4957193/build.log
state.log: http://kojipkgs.fedoraproject.org/work/tasks/7193/4957193/state.log
NOTE: build logs are cleaned up after 1 week

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild
Comment 1 Alexander Boström 2013-02-23 11:18:23 EST

In file included from ../src/URI.cc:21:0:
/usr/include/boost/spirit.hpp:18:4: warning: #warning "This header is deprecated. Please use: boost/spirit/include/classic.hpp" [-Wcpp]
 #  warning "This header is deprecated. Please use: boost/spirit/include/classic.hpp"
    ^
../src/URI.cc:22:50: fatal error: boost/spirit/actor/insert_at_actor.hpp: No such file or directory
 #include <boost/spirit/actor/insert_at_actor.hpp>
                                                  ^

In file included from ../src/parse_http_request.cc:21:0:
/usr/include/boost/spirit.hpp:18:4: warning: #warning "This header is deprecated. Please use: boost/spirit/include/classic.hpp" [-Wcpp]
 #  warning "This header is deprecated. Please use: boost/spirit/include/classic.hpp"
    ^
../src/parse_http_request.cc:22:50: fatal error: boost/spirit/actor/insert_at_actor.hpp: No such file or directory
 #include <boost/spirit/actor/insert_at_actor.hpp>
                                                  ^
Comment 2 Alexander Boström 2013-02-23 12:47:27 EST
Patched to build with latest boost (anyterm-1.1.29-18.fc19)

Note You need to log in before you can comment on or make changes to this bug.